# services/mailu/unbound-configmap.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  name: mailu-unbound
  namespace: mailu-mailserver
data:
  unbound.conf: |
    server:
      verbosity: 1
      interface: 0.0.0.0
      do-ip4: yes
      do-ip6: no
      do-udp: yes
      do-tcp: yes
      auto-trust-anchor-file: "/var/lib/unbound/root.key"
      prefetch: yes
      qname-minimisation: yes
      harden-dnssec-stripped: yes
      val-clean-additional: yes
      domain-insecure: "mailu-mailserver.svc.cluster.local."
      domain-insecure: "svc.cluster.local."
      domain-insecure: "cluster.local."
      cache-min-ttl: 120
      cache-max-ttl: 86400
      access-control: 0.0.0.0/0 allow

    forward-zone:
      name: "mailu-mailserver.svc.cluster.local."
      forward-addr: 10.43.0.10
      forward-no-cache: yes
      forward-first: yes

    forward-zone:
      name: "svc.cluster.local."
      forward-addr: 10.43.0.10
      forward-no-cache: yes
      forward-first: yes

    forward-zone:
      name: "cluster.local."
      forward-addr: 10.43.0.10
      forward-no-cache: yes
      forward-first: yes

    forward-zone:
      name: "."
      forward-addr: 9.9.9.9
      forward-addr: 1.1.1.1
